For the complete documentation index, see llms.txt. This page is also available as Markdown.

List product groups

List all product groups.

get
/tenants/{tenantUid}/product-groups
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
productGroupNamestringOptional

Reference to the name of a product group.

productGroupExternalIdstringOptional

External reference to a product group.

pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
productGroupParentUidstringOptional

Reference to parent UID, or blank to get the root categories

Responses
200

List of product groups

application/json
get/tenants/{tenantUid}/product-groups
GET /v2/tenants/{tenantUid}/product-groups HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

List of product groups

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "externalId": "text",
      "hasChildren": true,
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "name": "text",
      "parentUid": "text",
      "productCount": 1,
      "productGroupUid": "text",
      "scope": "SALE"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?